Loading...
Searching...
No Matches
Magick::filterTypeImage Class Reference

## Public Member Functions

| filterTypeImage (const FilterType filterType_)
void | operator() (Image &image_) const

## Private Attributes

FilterType | _filterType

## Detailed Description

Definition at line 1477 of file STL.h.

## Constructor & Destructor Documentation

## filterTypeImage()

Magick::filterTypeImage::filterTypeImage | ( | const FilterType | filterType_ | ) |

Definition at line 1360 of file STL.cpp.

: _filterType( filterType_ )
{
}

## Member Function Documentation

## operator()()

void Magick::filterTypeImage::operator() | ( | Magick::Image & | image_ | ) | const

Definition at line 1364 of file STL.cpp.

{
image_.filterType( _filterType );
}

## Field Documentation

## _filterType

FilterType Magick::filterTypeImage::_filterType

private

Definition at line 1485 of file STL.h.

The documentation for this class was generated from the following files:

- STL.h
- STL.cpp